java.lang.IllegalArgumentException: Class android.support.graphics.drawable.AnimatedVectorDrawableCompat$AnimatedVectorDrawableCompatState conflict: C:\_Sandbox\NativeScript\sample-Groceries\platforms\android\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\23.4.0\jars\classes.jar and C:\_Sandbox\NativeScript\sample-Groceries\platforms\android\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\23.3.0\jars\classes.jar

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Samebug tips

Do you know how to solve this issue? Write a tip to help other users and build your expert profile.

Solutions on the web

via GitHub by DocGreenRob
, 1 year ago
-drawable\23.4.0\jars\classes.jar and C:\_Sandbox\NativeScript\sample-Groceries\platforms\android\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\23.3.0\jars\classes.jar
via Stack Overflow by Robert Green
, 1 year ago
-drawable\23.4.0\jars\classes.jar and C:\_Sandbox\NativeScript\sample-Groceries\platforms\android\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\23.3.0\jars\classes.jar
via GitHub by agrawal-mohit
, 1 year ago
Class android.support.graphics.drawable.animated.BuildConfig conflict: /Users/mohit/work/Mobile/native/Groceries/platforms/android/build/intermediates/exploded-aar/com.android.support/animated-vector-drawable/24.2.1/jars/classes.jar and /Users/mohit
via Stack Overflow by moaglee
, 1 year ago
Class android.support.graphics.drawable.animated.BuildConfig conflict: /Users/mohit/work/Mobile/native/Groceries/platforms/android/build/intermediates/exploded-aar/com.android.support/animated-vector-drawable/24.2.1/jars/classes.jar and /Users/mohit
via GitHub by sclausen
, 1 year ago
Class com.google.zxing.pdf417.PDF417ResultMetadata conflict: /home/username/projects/NativeScript/nativescript-angular/ng-sample/platforms/android/build/intermediates/exploded-aar/barcodescanner-release/jars/classes.jar and /home/username/projects
via GitHub by ickata
, 1 year ago
Class com.google.android.gms.iid.zzb$zza$zza conflict: /Users/ickata/Desktop/Tables/tns/sample-Groceries/platforms/android/build/intermediates/exploded-aar/com.google.android.gms/play-services-gcm/8.4.0/jars/classes.jar and /Users/ickata/Desktop
java.lang.IllegalArgumentException: Class android.support.graphics.drawable.AnimatedVectorDrawableCompat$AnimatedVectorDrawableCompatState conflict: C:\_Sandbox\NativeScript\sample-Groceries\platforms\android\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\23.4.0\jars\classes.jar and C:\_Sandbox\NativeScript\sample-Groceries\platforms\android\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\23.3.0\jars\classes.jar
at com.telerik.metadata.ClassRepo.cacheJarFile(ClassRepo.java:21)
at com.telerik.metadata.Builder.build(Builder.java:39)
at com.telerik.metadata.Generator.main(Generator.java:44)

Users with the same issue

You are the first who have seen this exception. Write a tip to help other users and build your expert profile.

Write tip

Know the solutions? Share your knowledge to help other developers to debug faster.